// import
const express = require('express');
const dotenv = require('dotenv');





const app = express();


app.set('view engine', 'ejs');
app.use(express.static('public'));
app.set("port", process.env.PORT || 3000);

dotenv.config();    // .ENV ACCESS



const middleware= require('./src/middleware/middleware');
middleware(app);


const api = require("./src/api/api");
api(app);




app.listen(app.get("port"), ()=>{
    try {
        // console.log(`Example app listening on port ${port}`)
    } catch (error) {
        // console.error(error);
    }
});