// 
const { internalError, serverError, successCode } = require("../../controllers/statusCode");
const CURRENTDATE = require("../../controllers/todayDate");
const { AsyncHandeler } = require("../../utils/AsyncHandeller");
const { ApiError } = require("../../utils/ApiError");
const { ApiResponse } = require("../../utils/ApiResponce");
const conDB = require("../../db/database");



const Get_user = AsyncHandeler(async(req, res)=>{
    try {
        const {user_name, password}= req.body;
        const sql = `SELECT * FROM user_info WHERE user_name =?`;
        
        conDB.query(sql, [user_name], async(err, result)=>{
            if (err) {
                return res.status(internalError).json(new ApiError(internalError, "Data Base Problem", err))
            }

            if(result[0]["password"] === password){
                const data = result[0];
                const sendData = {
                    _id: data["_id"],
                    full_name : data["full_name"],
                    user_name : data["user_name"],
                    mobile : data["mobile"],
                    user_type : data["user_type"],
                    status : data["status"],
                    address : data["address"]
                };
                return res.status(successCode).json(new ApiResponse(successCode, sendData, "Data send successfully."))
            };
            // else return this
            return res.status(internalError).json(new ApiError(internalError, "Password May Worng"))
        })
        
    } catch (error) {
        return res.status().json(new ApiError(serverError, "Server Error", error))
    }
})
module.exports = Get_user;