// 
const bodyParser = require('body-parser');
const cors = require('cors');
const cookieParser = require('cookie-parser');


// MIDDLEWARE
const middleware = async (app) =>{

    app.use(cookieParser());

    app.use(bodyParser.json( {limit: "25kb"} ));
    app.use(bodyParser.urlencoded( {extended: true, limit: "25kb"} ));

    // cors access
    app.use(cors({
        origin: ["http://localhost:3000", "http://localhost:5173", "https://react.arhbd23.com"],
        credentials: true,
        methods: ["GET", "POST", "PUT", "PATCH", "DELETE"]
    }));

};

module.exports = middleware;